Qt 5.9 | Qt Help | C++ Classes | QHelpIndexWidget

Qt 5.9.9 Reference Documentation

# QHelpIndexWidget Class

The QHelpIndexWidget class provides a list view displaying the QHelpIndexModel. More...

Header: | #include <QHelpIndexWidget>
qmake: | QT += help
Since: | Qt 4.4

- List of all members, including inherited members

## Public Slots

void | activateCurrentItem()
void | filterIndices(const QString &filter, const QString &wildcard = QString())

## Signals

void | linkActivated(const QUrl &link, const QString &keyword)
void | linksActivated(const QMap<QString, QUrl> &links, const QString &keyword)

## Detailed Description

The QHelpIndexWidget class provides a list view displaying the QHelpIndexModel.

## Member Function Documentation

### `[slot]` void QHelpIndexWidget::activateCurrentItem()

Activates the current item which will result eventually in the emitting of a linkActivated() or linksActivated() signal.

### `[slot]` void QHelpIndexWidget::filterIndices(const QString &filter, const QString &wildcard = QString())

Filters the indices according to filter or wildcard. The item with the best match is set as current item.

See also QHelpIndexModel::filter().

### `[signal]` void QHelpIndexWidget::linkActivated(const QUrl &link, const QString &keyword)

This signal is emitted when an item is activated and its associated link should be shown. To know where the link belongs to, the keyword is given as a second paremeter.

### `[signal]` void QHelpIndexWidget::linksActivated(const QMap<QString, QUrl> &links, const QString &keyword)

This signal is emitted when the item representing the keyword is activated and the item has more than one link associated. The links consist of the document titles and their URLs.